Create Knowledge Base
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_knowledge_base \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"urls": "<string>",
"files": "<string>"
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_knowledge_base"
payload = {
"name": "<string>",
"urls": "<string>",
"files": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', urls: '<string>', files: '<string>'})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_knowledge_base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>"
}
}Knowledge Base
Create Knowledge Base
Create a new knowledge base via the ContactSwing API.
POST
/
v2
/
_knowledge_base
Create Knowledge Base
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
JSON: KnowledgeBaseRequest (see OpenAPI spec)string
required
Knowledge base display name
string
Knowledge base purpose
string
Knowledge base purpose
Response
201 Created - Knowledge base created successfullystring
Request context ID
Example
{
"name": "Product Documentation",
"description": "Technical docs and FAQs"
}
⌘I

